Bug 671503 - /sbin/new-memtest-pkg, line 116 refers to /sbin/nash which doesn't exist in any available package
Summary: /sbin/new-memtest-pkg, line 116 refers to /sbin/nash which doesn't exist in a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: memtest86+
Version: 15
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-21 17:05 UTC by Andre Robatino
Modified: 2011-04-06 22:31 UTC (History)
2 users (show)

Fixed In Version: memtest86+-4.10-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-31 20:03:19 UTC


Attachments (Terms of Use)
Proposed patch (919 bytes, patch)
2011-02-21 15:54 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Andre Robatino 2011-01-21 17:05:12 UTC
Description of problem:
See summary. Problem exists in Rawhide, F14, and F13.

Version-Release number of selected component (if applicable):
memtest86+-4.10-3.fc15

Comment 1 Andre Robatino 2011-01-21 17:15:26 UTC
Actually, "yum install /sbin/nash" tells me there is no package available that provides this, so this reference needs to be removed.

Comment 2 Jaroslav Škarvada 2011-01-21 17:50:31 UTC
Thanks for report. 

The new-memtest-pkg is RH contrib script. Previously the nash was provided by mkinitrd which was replaced by dracut. The nash is now deprecated and nothing should use it, so the new-memtest-pkg needs updating.

Comment 3 Jaroslav Škarvada 2011-02-21 15:54:14 UTC
Created attachment 479943 [details]
Proposed patch

Seems that the functionality can be substituted by findfs and it also simplifies the code.

Comment 4 Fedora Update System 2011-03-15 08:23:55 UTC
memtest86+-4.10-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/memtest86+-4.10-5.fc15

Comment 5 Andre Robatino 2011-03-15 17:07:13 UTC
Thanks - please fix for F14 and F13 as well.

Comment 6 Andre Robatino 2011-03-15 18:25:08 UTC
Also, for testing purposes, what functionality does this provide? Whatever nash was supposed to do, I never noticed it was missing. (I could probably figure it out myself, but for testers generally, it would help to have a short explanation here.)

Comment 7 Jaroslav Škarvada 2011-03-29 09:29:24 UTC
(In reply to comment #6)
> Also, for testing purposes, what functionality does this provide?
I don't know the full history, but it seems that the new-memtest-pkg was forked from the new-kernel-pkg some time ago. The nash was used in case you specify root device by file system LABEL in fstab. The code checks the validity of the LABEL and if it doesn't point to valid device it gets the root device from the mtab. This data is then used as the "root" kernel arg. However it is not used by the memtest86+, because it doesn't need to know where is your rootfs.

Conclusion: It worked despite of the error message, because this functionality is not used by memtes86+. In case anybody used this script for other purposes than installing the memtest86+ it also worked in most scenarios, because it fallbacks to mtab. It didn't work as expected only in case when the root LABEL in fstab points to other device that the one currently mounted as root (very rare). 

I will probably remove this functionality in the future.

Comment 8 Fedora Update System 2011-03-29 12:40:00 UTC
memtest86+-4.10-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/memtest86+-4.10-4.fc14

Comment 9 Fedora Update System 2011-03-29 12:41:16 UTC
memtest86+-4.10-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/memtest86+-4.10-4.fc13

Comment 10 Fedora Update System 2011-03-29 19:51:12 UTC
Package memtest86+-4.10-4.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing memtest86+-4.10-4.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/memtest86+-4.10-4.fc14
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-03-31 20:03:14 UTC
memtest86+-4.10-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-04-02 22:54:43 UTC
memtest86+-4.10-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-04-06 22:31:28 UTC
memtest86+-4.10-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.